Katello - Bug #5950

'Publish’ and '‘promotion’ links under 'Tasks' shows redundant info like: {}
05/27/2014 04:49 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1079154 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1079154

Description of problem:

| created a CV, publish and promoted to next env, when | go to 'Tasks' tab, | found Publish and Promotion links.. | clicked them to get
the details.. but looks like either something is missing or it shows redundant info under 'Deatails’ like {}

Version-Release number of selected component (if applicable):
shap4

rubygem-katello_api-0.0.8-2.el6sat.noarch
ruby193-rubygem-katello-1.5.0-22.el6sat.noarch
katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch
rubygem-hammer_cli_katello-0.0.3-5.el6sat.noarch
katello-1.5.0-18.el6sat.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.28-1.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-ca-1.0-1.noarch

katello-apache-1.0-1.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
rubygem-hammer_cli_foreman-0.0.18-7.el6sat.noarch
foreman-proxy-1.5.3-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch
rubygem-foreman_api-0.1.11-3.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch
foreman-postgresql-1.5.0.9-1.el6sat.noarch
foreman-1.5.0.9-1.el6sat.noarch
foreman-release-1.5.0-0.develop.201403182248qitdf471c7.el6.noarch

How reproducible:
always

Steps to Reproduce:

1. create a CV

2. Publish it and promote to next env

3. go to 'Tasks' tab, click on 'Publish’' and 'Promote’ links

Actual results: {} displayed under 'Details'

Expected results:
Just {} under Details doesn't make sense.

Additional info:

Associated revisions

Revision a361b297 - 05/28/2014 06:36 AM - lvan Necas
Refs #5950 - don't show details when the task output is empty
https://bugzilla.redhat.com/show_bug.cgi?id=1079154

Revision ce785f66 - 05/28/2014 10:36 AM - lvan Necas
Refs #5950 - don't show details when the task output is empty

Revision 1531715 - 05/30/2014 03:40 AM - Ivan Necas

Merge pull request #4165 from iNecas/issue/5950

Refs #5950 - don't show details when the task output is empty

Revision 7587eec9 - 05/30/2014 07:40 AM - Ivan Necas

Merge pull request #4165 from iNecas/issue/5950

Refs #5950 - don't show details when the task output is empty

History

#1 - 05/27/2014 04:49 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/28/2014 09:13 AM - Ivan Necas
- Status changed from New to Assigned

- Assignee set to Ivan Necas

#3 - 05/28/2014 10:37 AM - Ivan Necas
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4165
https://github.com/theforeman/foreman-tasks/pull/58

#4 - 05/28/2014 07:26 PM - Eric Helms

- Target version set to 45

#5 - 06/04/2014 07:14 AM - Ivan Necas
- Status changed from Ready For Testing to Closed

#6 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
https://github.com/Katello/katello/pull/4165
https://github.com/theforeman/foreman-tasks/pull/58
http://www.tcpdf.org

